// @flow
/* eslint no-console: "off" */
if (!self.origin) self.origin = 'app://kaios.whatsapp.net';

self.onmessage = event => {
    const data = event.data;

    if (data && data.type && self.SwEventHandlers.hasOwnProperty(data.type)) {
        self.SwEventHandlers[data.type](event);
    } else {
        WARN`unrecognized event ${data}`.devConsole(data);
    }
};

function startUp() {
    try {
        console.log(`BackendWorker::startUp started`);
        self.importScripts('./backend.js');
        console.log(`BackendWorker::startUp finished`);
    } catch (e) {
        console.error(e);
    }
}

startUp();
